declare type OnMove = (n: {
    offsetX: number;
    offsetY: number;
    key?: string;
}) => void;
declare type OnMoveEnd = () => void;
interface DragMethodProps {
    key?: string;
    onMove?: OnMove;
    onMoveEnd?: OnMoveEnd;
}
export declare class DragMethod {
    private readonly key?;
    private readonly cache;
    private readonly onMouseMove;
    private readonly onMouseUp;
    readonly onMouseDown: any;
    onMove?: OnMove;
    onMoveEnd?: OnMoveEnd;
    constructor({ key, onMove, onMoveEnd }?: DragMethodProps);
    private _onMouseMove;
    private _onMouseUp;
    private _onMouseDown;
}
export {};
